#!/usr/bin/sh

#
# This directory contains foomatic-filters-ppds-20030904 distribution
# except for:
#
# - foomatic-filters-ppds.sh (this file)
# - foomatic-filters-ppds-unixware.patch (patch file for UnixWare port)
#

set -x
set -e

# Apply patches.
for patch in foomatic-filters-ppds-unixware.patch
do
	[ -f .${patch}.applied ] || {
		/bin/patch -c -p0 -i ${patch}
		/bin/date > .${patch}.applied
	}
done

# Update PATH for /usr/ucb/which and /usr/add-on/public/bin/gzip.
PATH=$PATH:/usr/ucb:/usr/add-on/public/bin
export PATH

# Install gzip'ed copies.
./install --destdir ${ROOT}/${MACH} --prefix /usr --gzip

# Move man pages to Unix standard directory.
[ ! -d ${ROOT}/${MACH}/usr/man/man.1 ] &&
	/bin/mkdir -p ${ROOT}/${MACH}/usr/man/man.1

/bin/mv -f ${ROOT}/${MACH}/usr/share/man/man1/foomatic* ${ROOT}/${MACH}/usr/man/man.1
